This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1280470 - [abrt] gnome-chess: chess_scene_select_square(): gnome-chess killed by SIGSEGV
[abrt] gnome-chess: chess_scene_select_square(): gnome-chess killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-chess (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tanner Doshier
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:875137919cbe877ed0eb14c2eb6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 15:01 EST by peter centh0
Modified: 2016-02-05 20:52 EST (History)
6 users (show)

See Also:
Fixed In Version: gnome-chess-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-05 16:22:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.38 KB, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: core_backtrace (4.79 KB, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: dso_list (10.05 KB, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: environ (1.70 KB, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: maps (50.81 KB, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: mountinfo (5.85 KB, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: open_fds (1.20 KB, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details
File: var_log_messages (935 bytes, text/plain)
2015-11-11 15:01 EST, peter centh0
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 758816 None None None Never

  None (edit)
Description peter centh0 2015-11-11 15:01:11 EST
Description of problem:
I could promote a pawn to a dame within gnuchess and gnuchess wass killed

Version-Release number of selected component:
gnome-chess-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-chess
crash_function: chess_scene_select_square
executable:     /usr/bin/gnome-chess
global_pid:     17290
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 chess_scene_select_square at /home/mcatanzaro/jhbuild/checkout/gnome-chess/src/chess-scene.vala:238
 #1 chess_view_real_button_press_event at /home/mcatanzaro/jhbuild/checkout/gnome-chess/src/chess-view.vala:292
 #2 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #3 _g_closure_invoke_va at gclosure.c:864
 #6 gtk_widget_event_internal at gtkwidget.c:7692
 #7 propagate_event_up at gtkmain.c:2517
 #8 propagate_event at gtkmain.c:2619
 #9 gtk_main_do_event at gtkmain.c:1850
 #14 g_main_context_iteration at gmain.c:3901
 #15 g_application_run at gapplication.c:2311
Comment 1 peter centh0 2015-11-11 15:01:16 EST
Created attachment 1092858 [details]
File: backtrace
Comment 2 peter centh0 2015-11-11 15:01:18 EST
Created attachment 1092859 [details]
File: cgroup
Comment 3 peter centh0 2015-11-11 15:01:20 EST
Created attachment 1092860 [details]
File: core_backtrace
Comment 4 peter centh0 2015-11-11 15:01:22 EST
Created attachment 1092861 [details]
File: dso_list
Comment 5 peter centh0 2015-11-11 15:01:24 EST
Created attachment 1092862 [details]
File: environ
Comment 6 peter centh0 2015-11-11 15:01:25 EST
Created attachment 1092863 [details]
File: exploitable
Comment 7 peter centh0 2015-11-11 15:01:27 EST
Created attachment 1092864 [details]
File: limits
Comment 8 peter centh0 2015-11-11 15:01:29 EST
Created attachment 1092865 [details]
File: maps
Comment 9 peter centh0 2015-11-11 15:01:31 EST
Created attachment 1092866 [details]
File: mountinfo
Comment 10 peter centh0 2015-11-11 15:01:33 EST
Created attachment 1092867 [details]
File: open_fds
Comment 11 peter centh0 2015-11-11 15:01:35 EST
Created attachment 1092868 [details]
File: proc_pid_status
Comment 12 peter centh0 2015-11-11 15:01:36 EST
Created attachment 1092869 [details]
File: var_log_messages
Comment 13 Dan Loomis 2015-12-13 17:34:43 EST
Another user experienced a similar problem:

Played chess.   Second game after a draw.    Got lazy and pawned a queen rather than working out how to mate with a rook, knight and bishop.   Game crashed when I selected queen in the promotion dialog.   

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-chess
crash_function: chess_scene_select_square
executable:     /usr/bin/gnome-chess
global_pid:     7857
kernel:         4.2.6-301.fc23.x86_64
package:        gnome-chess-3.18.0-1.fc23
reason:         gnome-chess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Dan Loomis 2015-12-13 21:08:19 EST
Tried to promote another pawn to a queen and reproduced the problem.
Comment 15 Michael Catanzaro 2015-12-19 11:12:31 EST
We might need a compiler or assembly language expert to debug this. I'm stumped.
Comment 16 Dan Loomis 2016-01-24 00:36:32 EST
Happened again on X.  The previous occurrences were on Wayland so it's not Wayland related.
Comment 17 Michael Catanzaro 2016-01-26 23:17:49 EST
It's somehow caused by the hardening flags.
Comment 18 Fedora Update System 2016-01-26 23:33:12 EST
gnome-chess-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c71b04ebc3
Comment 20 Dan Loomis 2016-01-27 01:32:05 EST
I did notice that Gnome Chess can promote it's own pawns without crashing.  Is there a difference in how the promotions are handled?
Comment 21 Michael Catanzaro 2016-01-27 13:19:00 EST
(In reply to Dan Loomis from comment #20)
> I did notice that Gnome Chess can promote it's own pawns without crashing. 
> Is there a difference in how the promotions are handled?

Yes, the crash occurs in the code that reports the user's choice of promotion type from the GUI portion of the code to the chess backend.
Comment 22 Fedora Update System 2016-01-28 17:27:00 EST
gnome-chess-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c71b04ebc3
Comment 23 Fedora Update System 2016-02-05 16:22:11 EST
gnome-chess-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Mallikarjun 2016-02-05 20:52:03 EST
Another user experienced a similar problem:

I was playing gnome chess, and I was about to promote my pawn to a queen when the application crashed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-chess
crash_function: chess_scene_select_square
executable:     /usr/bin/gnome-chess
global_pid:     4319
kernel:         4.3.3-303.fc23.x86_64
package:        gnome-chess-3.18.0-1.fc23
reason:         gnome-chess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Note You need to log in before you can comment on or make changes to this bug.